Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

# Class MutlipleMethodsBulkheadLifecycleService

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle.MutlipleMethodsBulkheadLifecycleService

@Dependent @Bulkhead(8) public class MutlipleMethodsBulkheadLifecycleService extends Object

## Constructor Summary

Constructors
Constructor
Description
`MutlipleMethodsBulkheadLifecycleService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service1(Barrier barrier)`
`void`
`service2(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MutlipleMethodsBulkheadLifecycleService

public MutlipleMethodsBulkheadLifecycleService()

## Method Details

### service1

public void service1(Barrier barrier)

### service2

public void service2(Barrier barrier)